Upstream information

CVE-2020-8201 at MITRE

Description

Node.js < 12.18.4 and < 14.11 can be exploited to perform HTTP desync attacks and deliver malicious payloads to unsuspecting users. The payloads can be crafted by an attacker to hijack user sessions, poison cookies, perform clickjacking, and a multitude of other attacks depending on the architecture of the underlying system. The attack was possible due to a bug in processing of carrier-return symbols in the HTTP header names.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.4 5.6
Vector CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:N CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L
Access Vector Network Network
Access Complexity High High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact None Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1176605 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Web Scripting 12
  • nodejs12 >= 12.18.4-1.20.1
  • nodejs12-devel >= 12.18.4-1.20.1
  • nodejs12-docs >= 12.18.4-1.20.1
  • npm12 >= 12.18.4-1.20.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-12-2020-2812
SUSE Linux Enterprise Module for Web Scripting 15 SP2
  • nodejs12 >= 12.18.4-4.6.1
  • nodejs12-devel >= 12.18.4-4.6.1
  • nodejs12-docs >= 12.18.4-4.6.1
  • npm12 >= 12.18.4-4.6.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-15-SP2-2020-2813
SUSE Linux Enterprise Module for Web Scripting 15 SP3
  • nodejs12 >= 12.21.0-4.13.2
  • nodejs12-devel >= 12.21.0-4.13.2
  • nodejs12-docs >= 12.21.0-4.13.2
  • nodejs14 >= 14.16.0-5.9.1
  • nodejs14-devel >= 14.16.0-5.9.1
  • nodejs14-docs >= 14.16.0-5.9.1
  • npm12 >= 12.21.0-4.13.2
  • npm14 >= 14.16.0-5.9.1
openSUSE Leap 15.2
  • nodejs12 >= 12.18.4-lp152.3.6.1
  • nodejs12-devel >= 12.18.4-lp152.3.6.1
  • nodejs12-docs >= 12.18.4-lp152.3.6.1
  • npm12 >= 12.18.4-lp152.3.6.1
Patchnames:
openSUSE-2020-1616
openSUSE Tumbleweed
  • nodejs14 >= 14.17.5-1.2
  • nodejs14-devel >= 14.17.5-1.2
  • nodejs14-docs >= 14.17.5-1.2
  • npm14 >= 14.17.5-1.2
Patchnames:
openSUSE Tumbleweed GA nodejs14-14.17.5-1.2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise High Performance Computing 15 LTSS nodejs10 Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS nodejs8 Not affected
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs10 In progress
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs12 Released
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs14 In progress
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs4 In progress
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs6 In progress
SUSE Linux Enterprise Module for Web and Scripting 15 SP1 nodejs10 Not affected
SUSE Linux Enterprise Module for Web and Scripting 15 SP1 nodejs8 Not affected
SUSE Linux Enterprise Module for Web and Scripting 15 SP2 nodejs10 Not affected
SUSE Linux Enterprise Module for Web and Scripting 15 SP2 nodejs12 Released
SUSE Linux Enterprise Module for Web and Scripting 15 SP2 nodejs14 In progress
SUSE Linux Enterprise Module for Web and Scripting 15 SP2 nodejs8 In progress
SUSE Linux Enterprise Server 15 LTSS nodejs10 Not affected
SUSE Linux Enterprise Server 15 LTSS nodejs8 Not affected
SUSE Linux Enterprise Server ESPOS 15 nodejs10 Not affected
SUSE Linux Enterprise Server ESPOS 15 nodejs8 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 nodejs10 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 nodejs8 Not affected
SUSE OpenStack Cloud 7 nodejs6 In progress
SUSE OpenStack Cloud Crowbar 8 nodejs6 In progress
SUSE OpenStack Cloud Crowbar 9 nodejs6 In progress